From: Petr Štetiar <ynezz@true.cz>
Date: Sun, 23 Jun 2019 13:18:43 +0000 (+0200)
Subject: x86: fix missing led variable warning during boot
X-Git-Url: http://git.cdn.openwrt.org/?a=commitdiff_plain;h=5816caad26ae294f0adb4ed07ed53dcba7277c33;p=openwrt%2Fstaging%2Fnbd.git

x86: fix missing led variable warning during boot

Fixes following warning during the boot:

 WARNING: Variable 'led' does not exist or is not an array/object

Signed-off-by: Petr Štetiar <ynezz@true.cz>
---

diff --git a/target/linux/x86/base-files/etc/diag.sh b/target/linux/x86/base-files/etc/diag.sh
index 3af4b23583..d043e4f035 100644
--- a/target/linux/x86/base-files/etc/diag.sh
+++ b/target/linux/x86/base-files/etc/diag.sh
@@ -20,6 +20,8 @@ preinit_match_diag_led() {
 	json_init
 	json_load "$(cat $CFG)"
 	json_get_keys keys led
+	json_is_a led object || return
+
 	json_select led
 	for key in $keys; do
 		json_select "$key"